| PST SDK 6.0.0.0-272350a

Public Member Functions | List of all members
PSTech.Pstsdk.TrackerListener Class Reference

Implements the TrackerListener class to receive tracking information and tracking mode updates. More...

Collaboration diagram for PSTech.Pstsdk.TrackerListener:
[legend]

## Public Member Functions
virtual void | OnTrackerData (TrackerData trackerData, ErrorStatus errorStatus)
| Callback function receiving tracking information from the tracker. More...
virtual void | OnTrackerMode (ETrackerMode trackerMode)
| Callback function receiving mode updates from the the tracker. More...

## Detailed Description

Extend this class and implement its methods in order to receive tracking information and tracking mode updates from the PST Tracker. Examples on how to use this class and how to get data and modes from the PST Tracker can be found in the Examples section. Alternatively, Tracker.GetSingleMeasurement can be called to get the latest available tracking data.

See also
  Tracker.AddTrackerListener, Tracker.RemoveTrackerListener, Tracker.GetSingleMeasurement

## Member Function Documentation

## ◆ OnTrackerData()

virtual void PSTech.Pstsdk.TrackerListener.OnTrackerData | ( | TrackerData | trackerData,
|  | ErrorStatus | errorStatus
| ) |  |
| inline virtual

Implement the OnTrackerData method to receive tracking information from the PST Tracker.

Parameters

  trackerData | A TrackerData object containing the detected tracking targets and 3D markers.
  errorStatus | Return OK on success or ErrorStatus.

See also
  TrackerData

## ◆ OnTrackerMode()

virtual void PSTech.Pstsdk.TrackerListener.OnTrackerMode | ( | ETrackerMode | trackerMode | ) |
| inline virtual

Implement the OnTrackerMode method to receive updates on the mode of the PST Tracker. This function enables responding to the different PST Tracker mode changes enumerated by ETrackerMode as soon as they occur.

Parameters

  trackerMode | Current tracker mode code as ETrackerMode enumeration member.

See also
  ETrackerMode

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/csharp/src/Tracker.cs